Data Management: Pools

Persistent data storage.

List caches

get
Authorizations
AuthorizationstringRequired

Standard Bearer Token. Example: Bearer eyJ...

Responses
chevron-right
200

Success

No content

get
/api/v1/caches
200

Success

No content

Get cache details

get
Authorizations
AuthorizationstringRequired

Standard Bearer Token. Example: Bearer eyJ...

Path parameters
cachestringRequired
Responses
chevron-right
200

Success

No content

get
/api/v1/caches/{cache}
200

Success

No content

Update cache

put
Authorizations
AuthorizationstringRequired

Standard Bearer Token. Example: Bearer eyJ...

Path parameters
cachestringRequired
Responses
chevron-right
200

Success

No content

put
/api/v1/caches/{cache}
200

Success

No content

Delete cache

delete
Authorizations
AuthorizationstringRequired

Standard Bearer Token. Example: Bearer eyJ...

Path parameters
cachestringRequired
Responses
chevron-right
200

Success

No content

delete
/api/v1/caches/{cache}
200

Success

No content

Update cache content

put
Authorizations
AuthorizationstringRequired

Standard Bearer Token. Example: Bearer eyJ...

Path parameters
cachestringRequired
keystringRequired
Responses
chevron-right
200

Success

No content

put
/api/v1/caches/{cache}/content/{key}
200

Success

No content

Flush cache

post
Authorizations
AuthorizationstringRequired

Standard Bearer Token. Example: Bearer eyJ...

Path parameters
cachestringRequired
Responses
chevron-right
200

Success

No content

post
/api/v1/caches/{cache}/flush
200

Success

No content

get
Authorizations
AuthorizationstringRequired

Standard Bearer Token. Example: Bearer eyJ...

Path parameters
cachestringRequired
searchstringRequired
Responses
chevron-right
200

Success

No content

get
/api/v1/caches/{cache}/search/{search}
200

Success

No content

List data pools

get
Authorizations
AuthorizationstringRequired

Standard Bearer Token. Example: Bearer eyJ...

Responses
chevron-right
200

Success

No content

get
/api/v1/data-pool
200

Success

No content

Create data pool

post
Authorizations
AuthorizationstringRequired

Standard Bearer Token. Example: Bearer eyJ...

Responses
chevron-right
200

Success

No content

post
/api/v1/data-pool
200

Success

No content

Get pool details

get
Authorizations
AuthorizationstringRequired

Standard Bearer Token. Example: Bearer eyJ...

Path parameters
data_poolstringRequired
Responses
chevron-right
200

Success

No content

get
/api/v1/data-pool/{data_pool}
200

Success

No content

Update data pool

put
Authorizations
AuthorizationstringRequired

Standard Bearer Token. Example: Bearer eyJ...

Path parameters
data_poolstringRequired
Responses
chevron-right
200

Success

No content

put
/api/v1/data-pool/{data_pool}
200

Success

No content

Delete data pool

delete
Authorizations
AuthorizationstringRequired

Standard Bearer Token. Example: Bearer eyJ...

Path parameters
data_poolstringRequired
Responses
chevron-right
200

Success

No content

delete
/api/v1/data-pool/{data_pool}
200

Success

No content

Last updated

Was this helpful?